Delete Single Attribute - Fabric
Delete Single Attribute
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/product-attributes/{id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.fabric.inc/v3/product-attributes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fabric.inc/v3/product-attributes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Error Responses
400
401
403
404
500
{
"message": "Request is invalid",
"type": "Bad request",
"errors": [\
{\
"type": "CLIENT_ERROR",\
"message": "Invalid request. Check your parameters or request body."\
}\
]
}
{
"message": "The requester is unauthorized",
"type": "UNAUTHORIZED_ERROR"
}
{
"type": "REQUEST_DENIED",
"message": "User doesn't have the required permission"
}
{
"type": "NOT_FOUND",
"message": "Resource not found"
}
{
"type": "SERVER_ERROR",
"message": "Internal Server Error"
}
Authorizations
Authorization: string (header, required)
S2S access token (JWT) from fabric Identity service (during Login)
Headers
x-fabric-tenant-id: string
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints.
x-fabric-request-id: string
Unique request ID
Path Parameters
id: string (required)
The 24-character system-generated ID of the attribute to delete.
Response
200 OK